# Publications

If you find this repository helpful, feel free to cite our publication [Sentence-BERT: Sentence Embeddings using Siamese BERT-Networks](https://arxiv.org/abs/1908.10084):
``` 
@inproceedings{reimers-2019-sentence-bert,
    title = "Sentence-BERT: Sentence Embeddings using Siamese BERT-Networks",
    author = "Reimers, Nils and Gurevych, Iryna",
    booktitle = "Proceedings of the 2019 Conference on Empirical Methods in Natural Language Processing",
    month = "11",
    year = "2019",
    publisher = "Association for Computational Linguistics",
    url = "http://arxiv.org/abs/1908.10084",
}
```


If you use one of the multilingual models, feel free to cite our publication [Making Monolingual Sentence Embeddings Multilingual using Knowledge Distillation](https://arxiv.org/abs/2004.09813):
``` 
@inproceedings{reimers-2020-multilingual-sentence-bert,
    title = "Making Monolingual Sentence Embeddings Multilingual using Knowledge Distillation",
    author = "Reimers, Nils and Gurevych, Iryna",
    booktitle = "Proceedings of the 2020 Conference on Empirical Methods in Natural Language Processing",
    month = "11",
    year = "2020",
    publisher = "Association for Computational Linguistics",
    url = "https://arxiv.org/abs/2004.09813",
}
```


If you use the code for [data augmentation](https://github.com/UKPLab/sentence-transformers/tree/master/examples/training/data_augmentation), feel free to cite our publication [Augmented SBERT: Data Augmentation Method for Improving Bi-Encoders for Pairwise Sentence Scoring Tasks](https://arxiv.org/abs/2010.08240):
``` 
@article{thakur-2020-AugSBERT,
    title = "Augmented SBERT: Data Augmentation Method for Improving Bi-Encoders for Pairwise Sentence Scoring Tasks",
    author = "Thakur, Nandan and Reimers, Nils and Daxenberger, Johannes and  Gurevych, Iryna", 
    journal= "arXiv preprint arXiv:2010.08240",
    month = "10",
    year = "2020",
    url = "https://arxiv.org/abs/2010.08240",
}
```

If you use the models for [MS MARCO](pretrained-models/msmarco-v2.md), feel free to cite the paper: [The Curse of Dense Low-Dimensional Information Retrieval for Large Index Sizes](https://arxiv.org/abs/2012.14210)
``` 
@article{thakur-2020-AugSBERT,
    title = "The Curse of Dense Low-Dimensional Information Retrieval for Large Index Sizes",
    author = "Reimers, Nils and  Gurevych, Iryna", 
    journal= "arXiv preprint arXiv:2012.14210",
    month = "12",
    year = "2020",
    url = "https://arxiv.org/abs/2012.14210",
}
```


**Repositories using SentenceTransformers**
- **[Top2Vec](https://github.com/ddangelov/Top2Vec)** - Topic modeling
- **[txtai](https://github.com/neuml/txtai)** - AI-powered search engine
- **[BERTTopic](https://github.com/MaartenGr/BERTopic)** - Topic model using SBERT embeddings
- **[KeyBERT](https://github.com/MaartenGr/KeyBERT)** - Key phrase extraction using SBERT
- **[contextualized-topic-models](https://github.com/MilaNLProc/contextualized-topic-models)** - Cross-Lingual Topic Modeling
- **[covid-papers-browser](https://github.com/gsarti/covid-papers-browser)** - Semantic Search for Covid-19 papers
- **[kiri](https://github.com/kiri-ai/kiri)** - Natural Language Engine that makes using state-of-the-art language models easy, accessible and scalable.


**SentenceTransformers in Articles**

In the following you find a (selective) list of articles / applications using SentenceTransformers to do amazing stuff. Feel free to contact me (info@nils-reimers.de) to add you application here. 
- **January 2021 - [Advance BERT model via transferring knowledge from Cross-Encoders to Bi-Encoders](https://towardsdatascience.com/advance-nlp-model-via-transferring-knowledge-from-cross-encoders-to-bi-encoders-3e0fc564f554)**
- **November 2020 - [How to Build a Semantic Search Engine With Transformers and Faiss](https://towardsdatascience.com/how-to-build-a-semantic-search-engine-with-transformers-and-faiss-dcbea307a0e8)**
- **October 2020 - [Topic Modeling with BERT](https://towardsdatascience.com/topic-modeling-with-bert-779f7db187e6)**
- **September 2020 - [Elastic Transformers -
Making BERT stretchy - Scalable Semantic Search on a Jupyter Notebook](https://medium.com/@mihail.dungarov/elastic-transformers-ae011e8f5b88)**
- **July 2020 - [Simple Sentence Similarity Search with SentenceBERT](https://laptrinhx.com/simple-sentence-similarity-search-with-sentencebert-800684405/?fbclid=IwAR0rxdYS2DBGuHhijIRO_lsXqGc9BbjtDA-dDQM5Ng_StahT9xrHdRZuP9M)**
- **May 2020 - [HN Time Machine: finally some Hacker News history!](https://peltarion.com/blog/applied-ai/hacker-news-time-machine)**
- **May 2020 - [A complete guide to transfer learning from English to other Languages using Sentence Embeddings BERT Models](https://towardsdatascience.com/a-complete-guide-to-transfer-learning-from-english-to-other-languages-using-sentence-embeddings-8c427f8804a9)**
- **March 2020 - [Building a k-NN Similarity Search Engine using Amazon Elasticsearch and SageMaker](https://towardsdatascience.com/building-a-k-nn-similarity-search-engine-using-amazon-elasticsearch-and-sagemaker-98df18d883bd)**
- **February 2020 - [Semantic Search Engine with Sentence BERT](https://medium.com/@evergreenllc2020/semantic-search-engine-with-s-abbfb3cd9377)**


**SentenceTransformers used in Research**

The following papers use SentenceTransformers in research:
- **December 2020 - [Pivot Through English: Reliably Answering Multilingual Questions without Document Retrieval](https://arxiv.org/abs/2012.14094)**
- **December 2020 - [Document Dating Using Sentence Embeddings
at EVALITA 2020](http://ceur-ws.org/Vol-2765/paper106.pdf)**
- **December 2020 - [Objective-Based Hierarchical Clustering of Deep Embedding Vectors](https://arxiv.org/pdf/2012.08466.pdf)**
- **December 2020 - [Finding and Generating a Missing Part for Story Completion](https://www.aclweb.org/anthology/2020.latechclfl-1.19/)**
- **October 2020 - [Identifying Similar Movie Characters Quickly but Effectively Using Non-exhaustive Pair-wise Attention](https://arxiv.org/abs/2010.12183)**
- **October 2020 - [SciSummPip: An Unsupervised Scientific Paper Summarization Pipeline](https://arxiv.org/abs/2010.09190)**
- **October 2020 - [Effective Distributed Representations for Academic Expert Search](https://arxiv.org/abs/2010.08269)**
- **October 2020 - [Quality-Aware Ranking of Arguments](https://dl.acm.org/doi/abs/10.1145/3340531.3411960)**
- **October 2020 - [Explainable Automated Fact-Checking for Public Health Claims](https://arxiv.org/abs/2010.09926)**
- **September 2020** - **[End-to-End Neural Matching for Semantic Location Prediction of Tweets](https://dl.acm.org/doi/abs/10.1145/3415149)**
- **August 2020 - [VisualSem: a high-quality knowledge graph for vision & language](https://arxiv.org/pdf/2008.09150.pdf)**
- **August 2020 - [Contextualized moral inference](https://arxiv.org/pdf/2008.10762.pdf)**
- **August 2020** - **[Using Natural Language
Processing to Identify Similar
Patent Documents](https://lup.lub.lu.se/luur/download?func=downloadFile&recordOId=9008699&fileOId=9026407)**
- **August 2020** - **[Ranking Clarification Questions via Natural Language Inference](https://arxiv.org/pdf/2008.07688.pdf)**
- **August 2020** - **[Searching Scientific Literature for Answers on COVID-19 Questions](https://openreview.net/pdf?id=eeYSJJGAkg1)**
- **July 2020** - **[Learning Neural Textual Representations for Citation Recommendation](https://arxiv.org/abs/2007.04070)**
- **July 2020** - **[CORD19STS: COVID-19 Semantic Textual Similarity Dataset](https://arxiv.org/abs/2007.02461)**
- **July 2020** - **[IR-BERT: Leveraging BERT for Semantic Search in Background Linking for News Articles](https://arxiv.org/abs/2007.12603)** 
- **July 2020 - [COVID-19 Knowledge Graph: Accelerating Information Retrieval and Discovery for Scientific Literature](https://arxiv.org/abs/2007.12731)**
- **July 2020 - [CrossBERT: a Triplet Neural Architecture for
Ranking Entity Properties](https://dl.acm.org/doi/pdf/10.1145/3397271.3401265)**
- **June 2020 - [CO-Search: COVID-19 Information Retrieval with Semantic Search, Question Answering, and Abstractive Summarization](https://arxiv.org/abs/2006.09595)**
- **May 2020 - [SUPERT: Towards New Frontiers in Unsupervised Evaluation Metrics for Multi-Document Summarization](https://arxiv.org/abs/2005.03724)**
- **May 2020 - [A Recipe for Creating Multimodal Aligned Datasets for Sequential Tasks](https://arxiv.org/abs/2005.09606)**
- **April 2020 - [PANDORA Talks: Personality and Demographics on Reddit](https://arxiv.org/abs/2004.04460)**


Feel free to contact me (info@nils-reimers.de) to add you paper here. 